org.ajax4jsf.renderkit.html.scripts

## Class QueueScript

- java.lang.Object
- - org.ajax4jsf.resource.InternetResourceBase
  - - org.ajax4jsf.renderkit.html.scripts.QueueScript

- All Implemented Interfaces:
    org.ajax4jsf.resource.InternetResource

      public class QueueScript
      extends org.ajax4jsf.resource.InternetResourceBase

  Since:
    3.3.0
  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from interface org.ajax4jsf.resource.InternetResource

      `CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueScript()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()`
    `org.ajax4jsf.resource.ResourceRenderer` | `getRenderer(org.ajax4jsf.resource.ResourceContext resourceContext)`
    `boolean` | `isCacheable(org.ajax4jsf.resource.ResourceContext resourceContext)`

    - ### Methods inherited from class org.ajax4jsf.resource.InternetResourceBase

      `deserializeData, encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getDataToStore, getExpired, getLastModified, getProperty, getResourceAsStream, getUri, isSessionAware, requireFacesContext, restoreData, send, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueScript

          public QueueScript()

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Specified by:
        `getKey` in interface `org.ajax4jsf.resource.InternetResource`
      Overrides:
        `getKey` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### getRenderer

          public org.ajax4jsf.resource.ResourceRenderer getRenderer(org.ajax4jsf.resource.ResourceContext resourceContext)

      Specified by:
        `getRenderer` in interface `org.ajax4jsf.resource.InternetResource`
      Overrides:
        `getRenderer` in class `org.ajax4jsf.resource.InternetResourceBase`

    - #### isCacheable

          public boolean isCacheable(org.ajax4jsf.resource.ResourceContext resourceContext)

      Specified by:
        `isCacheable` in interface `org.ajax4jsf.resource.InternetResource`
      Overrides:
        `isCacheable` in class `org.ajax4jsf.resource.InternetResourceBase`

Copyright © 2014. All Rights Reserved.